Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -7,6 +7,7 @@
 %else
 %define build_ada 0
 %endif
+%define build_fortran 1
 %define build_java 1
 %ifarch s390x
 %define multilib_32_arch s390
@@ -591,10 +592,18 @@ CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$
 	--with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions \
 	--enable-libgcj-multifile \
 %if !%{build_ada}
+%if !%{build_fortran}
+	--enable-languages=c,c++,objc,obj-c++,java \
+%else
 	--enable-languages=c,c++,objc,obj-c++,java,fortran \
+%endif
+%else
+%if !%{build_fortran}
+	--enable-languages=c,c++,objc,obj-c++,java,ada \
 %else
 	--enable-languages=c,c++,objc,obj-c++,java,fortran,ada \
 %endif
+%endif
 %if !%{build_java}
 	--disable-libgcj \
 %else
@@ -736,7 +745,9 @@ FULLEPATH=$RPM_BUILD_ROOT%{_prefix}/libe
 ln -sf gcc $RPM_BUILD_ROOT%{_prefix}/bin/cc
 mkdir -p $RPM_BUILD_ROOT/lib
 ln -sf ..%{_prefix}/bin/cpp $RPM_BUILD_ROOT/lib/cpp
+%if %{build_fortran}
 ln -sf gfortran $RPM_BUILD_ROOT%{_prefix}/bin/f95
+%endif
 rm -f $RPM_BUILD_ROOT%{_infodir}/dir
 gzip -9 $RPM_BUILD_ROOT%{_infodir}/*.info*
 ln -sf gcc $RPM_BUILD_ROOT%{_prefix}/bin/gnatgcc
@@ -841,7 +852,9 @@ pushd $FULLPATH
 if [ "%{_lib}" = "lib" ]; then
 ln -sf ../../../libobjc.so.1 libobjc.so
 ln -sf ../../../libstdc++.so.6.* libstdc++.so
+%if %{build_fortran}
 ln -sf ../../../libgfortran.so.1.* libgfortran.so
+%endif
 ln -sf ../../../libgomp.so.1.* libgomp.so
 ln -sf ../../../libmudflap.so.0.* libmudflap.so
 ln -sf ../../../libmudflapth.so.0.* libmudflapth.so
@@ -861,7 +874,9 @@ cd ..
 else
 ln -sf ../../../../%{_lib}/libobjc.so.1 libobjc.so
 ln -sf ../../../../%{_lib}/libstdc++.so.6.* libstdc++.so
+%if %{build_fortran}
 ln -sf ../../../../%{_lib}/libgfortran.so.1.* libgfortran.so
+%endif
 ln -sf ../../../../%{_lib}/libgomp.so.1.* libgomp.so
 ln -sf ../../../../%{_lib}/libmudflap.so.0.* libmudflap.so
 ln -sf ../../../../%{_lib}/libmudflapth.so.0.* libmudflapth.so
@@ -884,8 +899,10 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/
 %endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libstdc++.*a $FULLLPATH/
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libsupc++.*a .
+%if %{build_fortran}
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortranbegin.*a .
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.*a .
@@ -894,7 +911,9 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/include/
 %ifarch sparc ppc
 ln -sf ../../../../../lib64/libobjc.so.1 64/libobjc.so
 ln -sf ../`echo ../../../../lib/libstdc++.so.6.* | sed s~/lib/~/lib64/~` 64/libstdc++.so
+%if %{build_fortran}
 ln -sf ../`echo ../../../../lib/libgfortran.so.1.* | sed s~/lib/~/lib64/~` 64/libgfortran.so
+%endif
 ln -sf ../`echo ../../../../lib/libgomp.so.1.* | sed s~/lib/~/lib64/~` 64/libgomp.so
 ln -sf ../`echo ../../../../lib/libmudflap.so.0.* | sed s~/lib/~/lib64/~` 64/libmudflap.so
 ln -sf ../`echo ../../../../lib/libmudflapth.so.0.* | sed s~/lib/~/lib64/~` 64/libmudflapth.so
@@ -906,8 +925,10 @@ ln -sf lib32/libgcj_bc.so libgcj_bc.so
 ln -sf ../lib64/libgcj_bc.so 64/libgcj_bc.so
 %endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libsupc++.*a 64/
+%if %{build_fortran}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortran.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortranbegin.*a 64/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libobjc.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgomp.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libmudflap{,th}.*a 64/
@@ -918,7 +939,9 @@ ln -sf ../lib64/libstdc++.a 64/libstdc++
 mkdir -p 32
 ln -sf ../../../../libobjc.so.1 32/libobjc.so
 ln -sf ../`echo ../../../../lib64/libstdc++.so.6.* | sed s~/../lib64/~/~` 32/libstdc++.so
+%if %{build_fortran}
 ln -sf ../`echo ../../../../lib64/libgfortran.so.1.* | sed s~/../lib64/~/~` 32/libgfortran.so
+%endif
 ln -sf ../`echo ../../../../lib64/libgomp.so.1.* | sed s~/../lib64/~/~` 32/libgomp.so
 ln -sf ../`echo ../../../../lib64/libmudflap.so.0.* | sed s~/../lib64/~/~` 32/libmudflap.so
 ln -sf ../`echo ../../../../lib64/libmudflapth.so.0.* | sed s~/../lib64/~/~` 32/libmudflapth.so
@@ -928,8 +951,10 @@ ln -sf ../`echo ../../../../lib64/libgcj
 ln -sf ../`echo ../../../../lib64/libgij.so.7rh.* | sed s~/../lib64/~/~` 32/libgij.so
 %endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libsupc++.*a 32/
+%if %{build_fortran}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortran.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortranbegin.*a 32/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libobjc.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgomp.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libmudflap{,th}.*a 32/
@@ -955,7 +980,9 @@ strip -g `find . \( -name libgfortran.a 
 		    -o -name libmudflap.a -o -name libmudflapth.a \
 		    -o -name libgcc.a -o -name libgcov.a \) -a -type f`
 popd
+%if %{build_fortran}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.so.1.*
+%endif
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.so.1.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.so.0.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.so.1.*
@@ -1405,6 +1432,7 @@ fi
 %defattr(-,root,root)
 %{_prefix}/%{_lib}/libobjc.so.1*
 
+%if %{build_fortran}
 %files gfortran
 %defattr(-,root,root)
 %{_prefix}/bin/gfortran
@@ -1449,6 +1477,7 @@ fi
 %files -n libgfortran
 %defattr(-,root,root)
 %{_prefix}/%{_lib}/libgfortran.so.1*
+%endif
 
 %if %{build_java}
 %files java
